# Orthography

The Orthography package supports working with rigorously defined scholarly editions of digital texts adhering to a specified orthography.  

An orthography: 


- explicitly defines a set of token types
- explicitly defines a character set or set of code points that can compose tokens
- uses semantics of the character set to parse text into sequences of tokens with associated token type

This tokenizing functionality can be applied to strings of text, citable text passages, or entire citable corpora.

Orthography.jl was originally developed to support projects at the Holy Cross Manuscripts, Inscriptions and Documents Club (MID).


## Contents

```@contents
Pages = [
    "guide/guide.md",
    "man/index.md"
]
```

